package Drawnings;

import java.awt.*;
import Entities.*;

public class DrawningPortholesCircle implements IDrawningPortholes {
    private CountPortholes _porthole;

    public CountPortholes getCount()
    {
        return _porthole;
    }
    public void SetCount (int count) {
        switch (count) {
            case 10:
                _porthole = CountPortholes.Ten;
                break;
            case 20:
                _porthole = CountPortholes.Twenty;
                break;
            case 30:
                _porthole = CountPortholes.Thirty;
                break;
            default:
                _porthole = CountPortholes.Ten;
                break;
        }
    }
    protected void drawPortholes(Graphics2D g, int posX, int posY){
        g.setColor(Color.cyan);
        g.fillOval(posX, posY, 3, 3);
        g.setColor(Color.black);
        g.drawOval(posX, posY, 3, 3);
    }
    public void Draw (Graphics2D g, int _startPosX, int _startPosY) {
        for (int i = 0; i < 10; ++i) {
            drawPortholes(g, _startPosX + 19 + i * 8, _startPosY + 21);
        }
        if (_porthole == CountPortholes.Ten) {
            return;
        }
        for (int i = 0; i < 5; ++i) {
            drawPortholes(g, _startPosX + 15 + i * 5, _startPosY + 26);
            drawPortholes(g, _startPosX + 70 + i * 5, _startPosY + 26);
        }
        if (_porthole == CountPortholes.Twenty) {
            return;
        }
        for (int i = 0; i < 10; ++i) {
            drawPortholes(g, _startPosX + 19 + i * 8, _startPosY + 31);
        }
    }
}